Bug 208228 - Change user name to be root and delete the user, couldn't login to system again
Change user name to be root and delete the user, couldn't login to system again
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: system-config-users (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nils Philippsen
bzcl34nup
: Desktop
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-27 03:18 EDT by Xiaohong Wang
Modified: 2008-05-06 20:53 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 20:53:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Xiaohong Wang 2006-09-27 03:18:19 EDT
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:
always

Steps to Reproduce:
1. Run system-config-users in terminal, "User Manager" window pops up
2. Create a new user with "User Name": Test, "Primary Group": Test, "Login
Shell": /bin/bash, "Home Directory": /home/Test
3. On "User Manager" window, select "Properties" for user Test
4. On "User Properties" window, click "Groups" tab, then change user Test to be
a member of "root" and uncheck "Test" group (user Test's primary group changes
to be "root" automatically)
5. Logout root and login Test
6. Launch "User Manager" window and input root's passwd
7. Select "Test" and open "Properties" window, change "User Name" from "Test" to
"root"
8. On "User Manager" window, delete the user 
9. Logout and login root
  
Actual results:
Couldn't login again, it says wrong username or passwd

Expected results:


Additional info:
Maybe User Name shouldn't be changed to root in step 7
Comment 1 Nils Philippsen 2007-02-08 09:52:00 EST
Maybe the tool shouldn't let someone change the user name to an existing user in
step 7 either...
Comment 2 Bug Zapper 2008-04-03 14:20:31 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 3 Bug Zapper 2008-05-06 20:53:37 EDT
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

Note You need to log in before you can comment on or make changes to this bug.